1. CrackBerry Question's Avatar
    Hello,

    I am trying to download the RBC Mobile app so I can use my Z10 for NFC payments.

    On my desktop computer if I go to BlackBerry World, and set it to view apps for the Z10 on Bell in Canada, I see version 1.3 is available, the only version to support NFC payment. Yet when I visit BB World on my phone it says only version 1.2 is available.

    Why is my phone showing an older version of the app? And how can I get the latest version 1.3 if my phone is insisting that version 1.3 does not exist yet. If you visit BB World you can see that version 1.3 is available http://appworld.blackberry.com/webstore/content/36059888/?countrycode=CA&&countrycode=CA&lang=en
    09-28-14 04:58 PM
  2. FF22's Avatar
    Maybe the "newer" version is available for only certain model phones, like the Passport. Or maybe available only for the newer version of the OS, like 10.3.xxxxx.
    09-28-14 05:49 PM
  3. cjcampbell's Avatar
    Get in touch with Bell to make sure you have the right SIM card.

    Posted via CB10
    09-28-14 06:02 PM

Similar Threads

  1. Working SnapChat app for BlackBerry
    By TheB123 in forum BlackBerry 10 Apps
    Replies: 3
    Last Post: 10-07-14, 04:28 PM
  2. BBM Group - Changing The Name
    By Trevor ATM in forum General BBM Chat
    Replies: 3
    Last Post: 10-05-14, 10:26 AM
  3. Does the qwerty keyboard on the Q20 and Passport light up in bad light .
    By CrackBerry Question in forum Ask a Question
    Replies: 1
    Last Post: 10-02-14, 01:17 AM
  4. What is the tool belt on the Classic ?
    By retiredpawpaw in forum Ask a Question
    Replies: 2
    Last Post: 09-29-14, 12:53 AM
  5. Replies: 7
    Last Post: 09-28-14, 08:33 PM
LINK TO POST COPIED TO CLIPBOARD